Subject: Re: [PATCH] IPv6 MIB:ipv6DefaultRouterTable

From: "David S. Miller" <[email-masked]>
Date: Thu, 15 Jan 2004 11:38:40 -0800

On Thu, 15 Jan 2004 11:30:25 -0800
Shirley Ma <[email-masked]> wrote:

> I don't see any application uses these values for now, so I change them.
> It's good for kernel to provide the real MIBs information. If later on,
> some applications start to use these values, they can get the correct
> numbers without converting. Unless you can give me an broken example. :-)

Format and layout of procfs files have to stay as they are, this is just the
nature of the game.

We can create new files to present information in new ways and formats,
but I totally prefer using netlink based information gathering over making
new procfs files.